package com.example.astronomy

import java.awt.*
import javax.swing.*

fun createImageViewerWindow() = JFrame("Image Viewer").apply {
  defaultCloseOperation = JFrame.DISPOSE_ON_CLOSE
  size = Dimension(400, 300)
  add(JLabel("Loading your image…", JLabel.CENTER))
  isVisible = true
}

fun JFrame.displayImage(data: ByteArray) {
  contentPane.removeAll()
  add(JLabel(ImageIcon(data)))
  pack()
}
