package com.example.gallery

import java.awt.*
import javax.swing.*
import kotlinx.coroutines.*
import kotlinx.coroutines.future.*

fun main() = createWindow("Image Viewer", object : ImageViewer() {
  override suspend fun update(window: JFrame) {
    val url = "https://kotlinlang.org/docs/images/kotlin-logo.png"
    val image: Deferred<Image> = downloadImageAsync(url).asDeferred()
    displayImage(window, image.await())
  }
})
