package com.example.party

import kotlin.time.Duration.Companion.seconds
import kotlinx.coroutines.*

suspend fun doLaundry() {
  println("[Wash1] Putting the clothes in the washer")
  delay(1.seconds)
  println("[Wash2] Moving the clothes to the dryer")
  delay(1.seconds)
  println("[Wash3] Laundry's ready")
}

suspend fun bakeCake() {
  println("[Cake1] Putting the cake in the oven")
  delay(1.seconds)
  println("[Cake2] Waiting for the cake to cool")
  delay(1.seconds)
  println("[Cake3] Decorating the cake")
}

suspend fun doTasks() {
  doLaundry()
  bakeCake()
}

suspend fun main() {
  doTasks()
  println("All done!")
}
