package com.example.testing

import kotlin.test.*
import kotlin.time.Duration.Companion.seconds
import kotlinx.coroutines.*
import kotlinx.coroutines.test.*

class DataProviderTimeoutTest {
  @Test
  fun useProvidedValueWithDelay() = runTest {
    isOffline = false
    val provider = DataProvider {
      delay(15.seconds)
      "Provided value"
    }

    val data = provider.fetchOrDefault("Default value")
    assertEquals("Provided value", data)
  }
}
