plugins {
  kotlin("jvm") version "2.1.0"
}

group = "com.example"
version = "1.0"

repositories {
  mavenCentral()
}

dependencies {
  implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.1")
  testImplementation(kotlin("test"))
  testImplementation("org.jetbrains.kotlinx:kotlinx-coroutines-test:1.10.1")
  testImplementation("app.cash.turbine:turbine:1.2.0")
}

tasks.test {
  testLogging.setEvents(listOf("PASSED", "SKIPPED", "FAILED"))
  testLogging.setShowStandardStreams(true)
}
