package com.example.timers

import java.awt.*
import javax.swing.*
import kotlin.concurrent.*

fun main() = SwingUtilities.invokeLater {
  val window = JFrame("Timer")
  window.defaultCloseOperation = JFrame.DISPOSE_ON_CLOSE
  window.size = Dimension(400, 300)
  window.isVisible = true

  val message = "Please wait for ten seconds…"
  val label = window.add(JLabel(message, JLabel.CENTER)) as JLabel

  val timer = java.util.Timer()
  timer.schedule(10_000) {
    SwingUtilities.invokeLater { label.text = "Done!" }
    timer.cancel()
  }
}
