plugins {
  kotlin("android") version "2.1.0"
  id("com.android.application") version "8.2.0"
}

repositories {
  mavenCentral()
  google()
}

android {
  compileSdk = 34
  defaultConfig {
    minSdk = 24
    targetSdk = 34
  }
  namespace = "com.example.astronomy"

  java.toolchain.languageVersion = JavaLanguageVersion.of(21)
}

dependencies {
  implementation("androidx.activity:activity:1.9.3")
  implementation("com.squareup.retrofit2:retrofit:2.9.0")
  implementation("com.squareup.retrofit2:converter-moshi:2.9.0")
  runtimeOnly("org.jetbrains.kotlinx:kotlinx-coroutines-android:1.10.1")
  runtimeOnly("androidx.lifecycle:lifecycle-runtime-ktx:2.8.7")
}
