package com.example.astronomy

import java.awt.*
import java.awt.event.*
import javax.swing.*

fun createWindow(title: String, listener: WindowListener) {
  SwingUtilities.invokeLater {
    val window = JFrame(title)
    window.defaultCloseOperation = JFrame.DISPOSE_ON_CLOSE
    window.size = Dimension(400, 300)
    window.addWindowListener(listener)
    window.isVisible = true
  }
}

fun JFrame.displayImage(data: ByteArray) {
  contentPane.removeAll()
  add(JLabel(ImageIcon(data)))
  pack()
}
