package com.example.coffee

import kotlin.time.Duration.Companion.seconds
import kotlinx.coroutines.*

suspend fun main() = coroutineScope {
  val coffeeJob: Job = launch {
    makeCoffee()
  }
}

suspend fun makeCoffee() {
  println("Brewing your coffee…")
  delay(5.seconds)
  println("Coffee's ready!")
}
