package com.example.fibonacci

val fibonacci = sequence {
  var prev = 1; var next = 0

  while (true) {
    yield(next)
    prev = next.also { next += prev }
  }
}

fun main() {
  for (f in fibonacci) {
    if (f < 5000) print("$f ") else break
  }
}
