package com.example.fibonacci

val fibonacci = sequence {
  var prev = 1; var next = 0

  while (true) {
    println("  sequence(): producing the next value ($next)")
    yield(next)
    prev = next.also { next += prev }
  }
}

fun main() {
  println("main(): starting the loop")

  for (f in fibonacci) {
    if (f < 5000) println("main(): consuming the next value ($f)")
    else break
  }
}
