package com.example.gallery

import javax.imageio.*
import javax.swing.*

fun main() = createWindow("Image Viewer", object : ImageViewer() {
  override suspend fun update(window: JFrame) {
    val file = promptForFile(window) ?: return
    val image = ImageIO.read(file) // oops!
    displayImage(window, image)
  }
})
