package com.example.gallery

import javax.imageio.*
import javax.swing.*
import kotlinx.coroutines.*

fun main() = createWindow("Image Viewer", object : ImageViewer() {
  override suspend fun update(window: JFrame) {
    val file = promptForFile(window) ?: return
    val image = withContext(Dispatchers.IO) {
      ImageIO.read(file)
    }
    displayImage(window, image)
  }
})
