package com.example.gallery

import javax.imageio.*
import javax.swing.*

abstract class ByteArrayImageViewer(val data: ByteArray) : ImageViewer() {
  override suspend fun update(window: JFrame) {
    val image = ImageIO.read(data.inputStream())
    displayImage(window, image)
  }
}
