package com.example.gallery

import java.awt.*
import java.util.concurrent.*
import javax.swing.*
import kotlinx.coroutines.future.*

fun main() = createWindow("Image Viewer", object : ImageViewer() {
  override suspend fun update(window: JFrame) {
    val url = "https://kotlinlang.org/docs/images/kotlin-logo.png"
    val image: CompletableFuture<Image> = downloadImageAsync(url)
    displayImage(window, image.await())
  }
})
