package com.example.parallel

import java.security.*
import kotlin.random.*

fun salt() = Random.nextBytes(8)

fun hash(password: String, salt: ByteArray = salt()): String {
  val sha256 = MessageDigest.getInstance("sha256")

  var hash = salt + password.encodeToByteArray()
  repeat(1_000_000) {
    hash = sha256.digest(hash)
  }

  return salt.toHexString() + hash.toHexString()
}
