package com.example.parallel

import kotlin.time.*
import kotlinx.coroutines.*

val chars = ('a'..'z') + ('A'..'Z') + ('0'..'9') + '_' + '!' + '?'

val passwords = List(2_000) {
  CharArray(10) { chars.random() }.concatToString()
}

fun main() {
  val (value, duration) = measureTimedValue {
    slowHash(password = "kotlin1")
  }

  println("Computed the hash in $duration")
  println(value)
}
