package com.example.testing

fun interface DataProvider<out T> {
  suspend fun fetchData(): T
}

var isOffline: Boolean = false

suspend fun <T> DataProvider<T>.fetchOrDefault(default: T): T {
  if (isOffline) return default
  return fetchData()
}
