package com.example.testing

import app.cash.turbine.*
import kotlin.test.*
import kotlin.time.Duration.Companion.seconds
import kotlinx.coroutines.*
import kotlinx.coroutines.test.*

class DelayedFlowTest {
  @Test
  fun emitNumbersWithDelay() = runTest {
    myFlow.test {
      for (expected in 0..2) {
        expectNoEvents()
        delay(10.seconds)
        assertEquals(expected, expectMostRecentItem())
      }
    }
  }
}
