package com.example.timers

import kotlin.concurrent.*

fun drive() {
  log("Driving in the car…")
  val timer = java.util.Timer()
  timer.schedule(5_000) {
    log("You have reached your destination.")
    timer.cancel()
  }
}

fun main() {
  try {
    drive()
  } finally {
    log("Looks like we're done driving, let's shut down the engine.")
  }
}
