package com.example.timers

import kotlinx.coroutines.*

suspend fun drive() {
  log("Driving in the car…")
  delay(5_000)
  log("No more gas, can't drive any further!")
  throw Exception("The car is out of gas")
}

suspend fun main() {
  try {
    drive()
  } catch (exception: Throwable) {
    log("Caught an exception: $exception")
  } finally {
    log("Looks like we're done driving, let's shut down the engine.")
  }
}
