package com.example.todo

import java.io.*

fun getTaskList(): InputStream =
  ClassLoader.getSystemResourceAsStream("todo.txt") ?: error("Not found")

val hype = listOf("You got this!", "Crush it!", "Let's go!", "Easy!")

fun main() {
  val reader = getTaskList().bufferedReader()
  try {
    while (true) {
      val task = reader.readLine()
      if (task != null) println("$task. " + hype.random()) else break
    }
  } finally {
    reader.close()
  }
}
